modules/avored/subscribe/routes/web.php
<?php


Route::middleware(['web'])
    ->namespace('AvoRed\Subscribe\Http\Controllers')
    ->group(function () {


        Route::post('/subscribe', 'SubscribeController@store')
            ->name('subscribe.store');

    });


$baseAdminUrl = config('avored-framework.admin_url');

Route::middleware(['web', 'admin.auth', 'permission'])
    ->prefix($baseAdminUrl)
    ->name('admin.')
    ->namespace('AvoRed\Subscribe\Http\Controllers\Admin')
    ->group(function () {

        Route::resource('subscribe', 'SubscribeController');
    });

modules/avored/subscribe/resources/views/subscribe/_fields.blade.php
@include('avored-framework::forms.text',['name' => 'name','label' =>  __('avored-subscribe::subscribe.name')])
@include('avored-framework::forms.text',['name' => 'subscribe_email','label' => __('avored-subscribe::subscribe.email')])

modules/avored/subscribe/resources/views/subscribe/create.blade.php
@extends('avored-framework::layouts.app')

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">{{ __('avored-subscribe::subscribe.create') }}</div>
                    <div class="card-body">

                        <form action="{{ route('admin.subscribe.store') }}" method="post">
                            @csrf

                            @include('avored-subscribe::subscribe._fields')

                            <div class="form-group">
                                <button class="btn btn-primary" type="submit">{{ __('avored-subscribe::subscribe.create') }}</button>
                                <a href="{{ route('admin.subscribe.index') }}" class="btn">{{ __('avored-framework::lang.cancel') }}</a>
                            </div>

                        </form>

                    </div>
                </div>

            </div>
        </div>
    </div>
@endsection

modules/avored/subscribe/resources/views/subscribe/edit.blade.php
@extends('avored-framework::layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">{{ __('avored-subscribe::subscribe.edit') }}</div>
                <div class="card-body">

                    <form action="{{ route('admin.subscribe.update', $model->id) }}" method="post">
                        @csrf
                        @method('put')

                        @include('avored-subscribe::subscribe._fields')

                        <div class="form-group">
                            <button class="btn btn-primary" type="submit">{{ __('avored-subscribe::subscribe.edit') }}</button>
                            <a href="{{ route('admin.subscribe.index') }}" class="btn">{{ __('avored-framework::lang.cancel') }}</a>
                        </div>

                    </form>

                </div>
            </div>

        </div>
    </div>
</div>
@endsection

modules/avored/subscribe/resources/views/subscribe/form.blade.php
<div class="title">
    <strong>Newsletter</strong>
</div>
<div class="content">
    <div class="field newsletter">
        <label class="label" for="newsletter">
            <span>Sign Up for Our Newsletter:</span>
        </label>
    </div>
    <form class="navbar-form" action="{{ route('subscribe.store') }}" method="post">
        @csrf

        <div class="input-group">

            <input type="text"
                   class="form-control {{ $errors->has('subscribe_email') ? ' is-invalid' : '' }}"
                   placeholder="Enter your email address"
                   name="subscribe_email"
            />

            <div class="input-group-btn">

                <button class="btn btn-primary" type="submit">
                    <span>Subscribe</span>
                </button>
            </div>


            @if($errors->has('subscribe_email'))
                <div class="invalid-feedback">
                    {{ $errors->first('subscribe_email') }}
                </div>
            @endif
        </div>
    </form>
</div>

modules/avored/subscribe/resources/views/subscribe/index.blade.php
@extends('avored-framework::layouts.app')

@section('content')
    <div class="container">
        <h1>
            <span class="main-title-wrap">{{ __('avored-subscribe::subscribe.list') }}</span>
            <a style="" href="{{ route('admin.subscribe.create') }}" class="btn btn-primary float-right">
                {{ __('avored-subscribe::subscribe.create') }}
            </a>
        </h1>
        {!! DataGrid::render($dataGrid) !!}
    </div>

@stop

modules/avored/subscribe/resources/views/subscribe/show.blade.php
@extends('avored-framework::layouts.app')
@section('content')
    <div class="card">
        <div class="card-header">
            Subscribe Details
        </div>

        <div class="card-body table-bordered">
            <table class="table">
                <tr>
                    <td>Name</td>
                    <td>{{ $subscribe->name }}</td>
                </tr>           
            
                <tr>
                    <td>Email</td>
                    <td>{{ $subscribe->email }}</td>
                </tr>
                
            </table>

            <div class="float-left">
            
                <form method="post" action="{{ route('admin.subscribe.destroy', $subscribe->id)  }}">
                    @csrf()
                    @method('delete')
                    <button
                        onClick="event.preventDefault(); 
                                    swal({
                                        dangerMode: true,
                                        title: 'Are you sure?',
                                        icon: 'warning',
                                        buttons: true,
                                        text: 'Once deleted, you will not be able to recover this Subscribe!',
                                    }).then((willDelete) => {
                                        if (willDelete) {
                                            jQuery(this).parents('form:first').submit();
                                        }
                                    });"    
                        class="btn btn-danger" >
                        Destroy
                    </button>
                </form>
               
            </div>
            <a class="btn" href="{{ route('admin.subscribe.index') }}">Cancel</a>
        </div>
    </div>

@stop